--NAME:ACTUAL_GESA_SERVEURS_VM_VSPHERE
--INFRA:ASC
--PLUGINS:GESA_SNMP_WINDOWS_MEM_SWAP,GESA_SNMP_WINDOWS_STORAGE,GESA_SNMP_UPTIME,GESA_SNMP_WIN_SERVICE,GESA_SNMP_WIN_SERVICE,GESA_ICMP,GESA_SNMP_LOAD,GESA_SNMP_WINDOWS_MEM,GESA_SNMP_WIN_SERVICE,GESA_TCP

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'ACTUAL_GESA_SERVEURS_VM_VSPHERE','Actual patterne de base pour serveur virtuel sous windows serveur.');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WINDOWS_MEM_SWAP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WINDOWS_MEM_SWAP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage -a $IP $SNMP_COM "^Virtual Memory$" 80 90','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WINDOWS_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WINDOWS_STORAGE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage -a $IP $SNMP_COM "^C:" 80 90','300000','1','-e $ERROR -t "supervision@actualsystemes.fr"',NULL,'1','1','3','1');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_UPTIME',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UPTIME'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_uptime -a $IP $SNMP_COM 1440 60','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WIN_SERVICE_Tools',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WIN_SERVICE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_win -a $IP $SNMP_COM "VMware Tools"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WIN_SERVICE_VMWareTicket',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WIN_SERVICE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_win -a $IP $SNMP_COM "VMware Alias Manager and Ticket Service"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%','300000',NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_load -a $IP $SNMP_COM 80 90','300000','1','-e $ERROR -t "supervision@actualsystemes.fr"',NULL,'1','1','2','1');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WINDOWS_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WINDOWS_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage -a $IP $SNMP_COM "^Physical Memory$" 80 90','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WIN_SERVICE_CAFManagementAgent',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WIN_SERVICE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_win -a $IP $SNMP_COM "VMware CAF"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_TCP_RDP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_TCP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_tcp -a $IP 3389 1 2','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);
