--NAME:ACTUAL_GESA_SERVEURS_AD
--INFRA:ASC
--PLUGINS:GESA_SNMP_PROCESS,GESA_SNMP_WIN_SERVICE,GESA_SNMP_WIN_SERVICE,GESA_SNMP_WIN_SERVICE,GESA_SNMP_PROCESS,GESA_DNS,GESA_SNMP_PROCESS,GESA_SNMP_PROCESS

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'ACTUAL_GESA_SERVEURS_AD',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_PROCESS_dfsrs',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_AD'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PROCESS'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_process -a $IP $SNMP_COM dfsrs 2000,3000 90,100','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WIN_SERVICE_Kerberos',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_AD'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WIN_SERVICE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_win -a $IP $SNMP_COM "Kerberos"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WIN_SERVICE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_AD'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WIN_SERVICE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_win -a $IP $SNMP_COM "Gestionnaire de compte"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_WIN_SERVICE_AD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_AD'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WIN_SERVICE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_win -a $IP $SNMP_COM "Active"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_PROCESS_DFSSVC',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_AD'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PROCESS'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_process -a $IP $SNMP_COM dfssvc 2000,3000 90,100','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_DNS_EXTERNE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_AD'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_DNS'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_dns -a google.fr $IP 2 3','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_PROCESS_DNS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_AD'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PROCESS'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_process -a $IP $SNMP_COM dns.exe 1000,3000 90,100','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_PROCESS_AD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_GESA_SERVEURS_AD'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PROCESS'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_process -a $IP $SNMP_COM Microsoft.ActiveDirectory.WebServices.exe 2000,3000 90,100','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

